{
  "name": "linumiq-docs",
  "version": "0.0.1",
  "private": true,
  "scripts": {
    "predev": "node scripts/check-pagefind.js",
    "dev": "TINA_PUBLIC_IS_LOCAL=true node --dns-result-order=ipv4first ./node_modules/.bin/tinacms dev -c \"next dev --turbopack\"",
    "dev:prod": "TINA_PUBLIC_IS_LOCAL=false node --dns-result-order=ipv4first ./node_modules/.bin/tinacms dev -c \"next dev\"",
    "build": "echo 'Starting TinaCMS build...' && node --dns-result-order=ipv4first ./node_modules/.bin/tinacms build && echo 'TinaCMS build completed. Starting Next.js build...' && next build",
    "postbuild": "npx pagefind --site .next --output-path .next/static/pagefind && next-sitemap",
    "build-local-pagefind": "node --dns-result-order=ipv4first ./node_modules/.bin/tinacms build && next build && npx pagefind --site .next --output-subdir ../public/pagefind",
    "export": "node --dns-result-order=ipv4first ./node_modules/.bin/tinacms build && EXPORT_MODE=static,UNOPTIMIZED_IMAGES=true next build",
    "start": "node --dns-result-order=ipv4first ./node_modules/.bin/tinacms build && next start",
    "lint": "biome check src/ tina/",
    "lint:fix": "biome check src/ tina/ --fix",
    "cleanup": "node scripts/cleanup.js",
    "test": "playwright test",
    "test:ui": "playwright test --ui"
  },
  "dependencies": {
    "@heroicons/react": "^2.2.0",
    "@monaco-editor/react": "^4.7.0",
    "@next/third-parties": "^16.1.1",
    "@radix-ui/react-dropdown-menu": "^2.1.15",
    "@radix-ui/react-tabs": "^1.1.12",
    "@tinacms/datalayer": "^2.0.14",
    "@upstash/redis": "^1.37.0",
    "copy-to-clipboard": "^3.3.3",
    "date-fns": "^4.1.0",
    "fast-glob": "^3.3.3",
    "html-to-md": "^0.8.8",
    "js-base64": "^3.7.8",
    "lodash": "^4.17.21",
    "mermaid": "^11.6.0",
    "monaco-editor": "^0.52.2",
    "motion": "^12.15.0",
    "next": "^15.4.10",
    "next-auth": "^4.24.13",
    "next-themes": "^0.4.6",
    "prism-react-renderer": "^2.4.1",
    "prismjs": "^1.30.0",
    "react": "^19.2.3",
    "react-animate-height": "^3.2.3",
    "react-dom": "^19.2.3",
    "react-dropzone": "^14.3.8",
    "react-icons": "^5.5.0",
    "react-markdown": "^10.1.0",
    "rehype-pretty-code": "^0.14.1",
    "shiki": "^3.6.0",
    "tinacms": "^3.4.1",
    "tinacms-authjs": "^21.0.1",
    "title-case": "^4.3.2",
    "typescript": "5.8.3",
    "upstash-redis-level": "^1.1.1"
  },
  "devDependencies": {
    "@biomejs/biome": "^1.9.4",
    "@playwright/test": "^1.54.2",
    "@shikijs/transformers": "^3.6.0",
    "@svgr/webpack": "^8.1.0",
    "@tailwindcss/postcss": "^4.1.8",
    "@tinacms/cli": "^2.1.5",
    "@types/node": "^24.2.1",
    "autoprefixer": "^10.4.21",
    "monaco-editor-webpack-plugin": "^7.1.0",
    "next-sitemap": "^4.2.3",
    "pagefind": "^1.3.0",
    "postcss": "^8.5.4",
    "postcss-preset-env": "^10.2.0",
    "tailwindcss": "^4.1.8",
    "worker-loader": "^3.0.8"
  }
}